Upgrading software?

Ian Molton spyro at f2s.com
Tue Jan 14 12:02:23 PST 2003


On Tue, 14 Jan 2003 18:07:06 +0000 (UTC)
jschrod at uni-muenster.de (Jochen Schröder) wrote:

> 
> Ian, either I don't understand your reasoning or you have misread 
> Dagmar's posting. If lmsensors was supposed to get the headers from 
> /usr/src/linux/include[linux|asm] and  /usr/src/linux/ is not a
> symlink to /usr/src/linux-x.x.xx how was it supposed to compile for
> 2.4.21-pre2? Please explain.

Its supposed to get them DIRECTLY from /usr/src/linux NOT
/usr/include/[linux|asm] which is glibcs PRIVATE copy.

re-read what I wrote. I'll quote it here for you...

> Then these packages are broken and should either not be silly and
> depend on the kernel, OR they are kernel modules, which should use
> /usr/src/linux/include/[linux|asm] and NOT /usr/include/[linux|asm]
>
> last time I compiles lmsensors, it seemed to be of the mistaken
> impression it should use /usr/include/[linux|asm]. this resulted in it
> compiling for 2.4.20 when I was running 2.4.21-pre2.

lmsensors should have looked in /usr/src/linux for the headers of the
KERNEL I am running, because it is compiling KERNEL MODULES.

user space applications linking with glibc should use glibcs own
headers.
-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe lfs-support' in the subject header of the message



More information about the lfs-support mailing list